7 Replies Latest reply: Dec 19, 2012 12:09 PM by phil14webb
phil14webb Level 1 Level 1 (0 points)

I have a G4 with OSX 10.2 and my printer died.  New printers only seem to work with 10.4.11 and newer - can I upgrade my G4 enough to use a new printer?


iMac, Mac OS X (10.2.x)